import Memory = require("dojo/store/Memory");
import Observable = require("dojo/store/Observable");

interface Schedule {

    id?: string;

    title: string;

    duration: number;
}

declare const store: dojo.store.api.Store<Schedule>;

const observable = new Observable(store);

const mem = new Memory<Schedule>();

(async () => {
    observable.query().observe(() => {});
    store.query().forEach(() => {});
    const total = await store.query().total;
    const result = await store.query();

    mem.query();

    mem.add({duration: 10, title: "Test event"});
})();